QuaZIP quazip-0-5-1

- Main Page
- Related Pages
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
QuaCrc32 Class Reference

CRC32 checksum. More...

`#include <quazip/quacrc32.h>`

Inheritance diagram for QuaCrc32:
[legend]
Collaboration diagram for QuaCrc32:
[legend]

List of all members.

## Public Member Functions
quint32 | calculate (const QByteArray &data)
| Calculates the checksum for data.
void | reset ()
| Resets the calculation on a checksun for a stream.
void | update (const QByteArray &buf)
| Updates the calculated checksum for the stream.
quint32 | value ()
| Value of the checksum calculated for the stream passed throw update().

## Detailed Description

CRC32 checksum.

This class wrappers the crc32 function with the QuaChecksum32 interface. See QuaChecksum32 for more info.

## Member Function Documentation

quint32 QuaCrc32::calculate | ( | const QByteArray & | data | ) | `[virtual]`

Calculates the checksum for data.

data source data

Returns:
  data checksum

This function has no efect on the value returned by value().

Implements QuaChecksum32.

void QuaCrc32::update | ( | const QByteArray & | buf | ) | `[virtual]`

Updates the calculated checksum for the stream.

buf next portion of data from the stream

Implements QuaChecksum32.

quint32 QuaCrc32::value | ( |  | ) | `[virtual]`

Value of the checksum calculated for the stream passed throw update().

Returns:
  checksum

Implements QuaChecksum32.

The documentation for this class was generated from the following files:

- quazip/quacrc32.h
- quazip/quacrc32.cpp